﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Managing Passwords</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Managing Passwords</h1>
        <p>Saviynt Identity Governance and Administration (IGA) provides a centralized password management system for enterprise applications with a host of features including&#160;self-service administration for password reset and password change, step-up authentication, and password policy support. End-users can use password management to change their password across their applications, while the helpdesk and managers can use it to reset passwords for the end-users. Passwords between IGA and connected applications are intelligently synchronized without manual intervention, leading to increased efficiency and thus saving time and money.</p>
        <h2 id="PasswordManagement-KeyFeatures">Key Features</h2>
        <p>IGA Password Management provides the following key features:</p>
        <ul>
            <li>
                <p><strong>Self-Service Password Reset (SSPR):</strong> Users can change their password across applications without the help of an administrator or helpdesk. For example, a user can reset the password independently using options such as One-Time Password (OTP) or answering security questions. For more information, see <MadCap:xref href="Changing-or-Resetting-Passwords.htm">Changing or Resetting Passwords</MadCap:xref>.</p>
            </li>
            <li>
                <p><strong>Centralised Password Management:</strong> A centralized password management system for enterprise applications uses a centralized password policy, allowing your users to specify a single password that is provisioned to other target applications where passwords are required. You can even let users choose different passwords for some of the high-risk applications based on the password requirements of the target application. For example, you can synchronize your passwords for target applications such as Active Directory and SAP, but have different passwords for UNIX servers and another high-risk application by using different password policies as depicted in the below figure.</p>
                <p>
                    <img src="../Resources/Images/centralized password.png" style="border-left-style: solid;border-left-width: 1px;border-right-style: solid;border-right-width: 1px;border-top-style: solid;border-top-width: 1px;border-bottom-style: solid;border-bottom-width: 1px;width: 846px;height: 471px;" />
                </p>
            </li>
        </ul>
        <ul>
            <li>
                <p><strong>Password Policies:</strong> Administrators can create different password policies for applications and users to enforce restrictions on the types of passwords that users can create. For details about configuring a password policy, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Password-Policies.htm">Creating Password Policies</MadCap:xref>.</p>
            </li>
            <li>
                <p><strong>Step-up Authentication: </strong>Step-up authentication is the process by which users are asked to produce additional forms of authentication to verify their identity. It is useful in high-risk operations such as when a user’s or account password is changed, or security questions are reset.&#160;Password Management supports step-up authentication techniques such as verification through security questions or OTP based identification. The users can receive an OTP on their registered email IDs or mobile devices that they must provide in the IGA login page for successful identification. Alternatively, administrators can configure one or more sets of challenge questions for the users in different locales. When a user logs into IGA for the first time, the user is prompted to set up answers for the chosen questions. Administrators can configure the frequency of incorrect responses that will lead to an account lockout for a defined duration.</p>
            </li>
            <li>
                <p><strong>Helpdesk Support:</strong> Users can seek assistance from the service helpdesk to reset their password or unlock their account. The helpdesk verifies the identity of the user by performing re-verification using step-up authentication techniques. Upon successful re-verification, the helpdesk sets a temporary password for the user to login.&#160;</p>
            </li>
            <li>
                <p><strong>Password Synchronization:</strong> Passwords between IGA and connected applications are intelligently synced without manual intervention, leading to increased efficiency and thus saving time and money. An administrator can use <strong>Endpoints to Synchronize Password </strong>and <strong>Endpoints to Synchronize Password for Others</strong> to create password tasks in order to automate the synchronization process. A Password Sync Filter can also be configured for Active Directory systems to reverse synchronize the password into IGA and the configured endpoints.</p>
            </li>
            <li>
                <p><strong>Email Notifications:</strong> Email reminders are sent when a password is reset or a password is about to expire. expiry You can also get notified when your password or security questions/answers are changed. The email notification settings are configured by the administrator.</p>
            </li>
            <li>
                <p><strong>Credential Provider:</strong> An extended password management utility that helps you reset the password for your user account in&#160; IGA. If your&#160;Windows workstation&#160;is locked and you&#160;forgot&#160;the password to log in to your Windows or IGA account, you can reset the password using the&#160;"Forgot Password" link provided by Credential Provider in the Windows login screen. The password change using Credential Provider is synchronized with the&#160;Active Directory (AD) Domain including other target applications configured in IGA. Credential Provider&#160;provides you the advantage to reset the password&#160;on your own&#160;when your Windows workstation is locked, without seeking external technical assistance.&#160;The&#160;password for your Windows system and the password for your IGA user account is the same as&#160;the Active Directory Domain login is enabled on your Windows workstation.&#160;Therefore, when you reset the password from the Windows logon screen using Credential Provider, you can use the same password for logging into your Windows system as well as the IGA application.</p>
            </li>
            <li>
                <p><strong>Multiple Authentications Support:</strong> Apart from local authentication where users are authenticated within IGA, Password Management supports external authentication and Single Sign-on (SSO) providers.</p>
            </li>
            <li>
                <p><strong>Generate Usage and Lockout Reports:</strong> An administrator can optionally generate reports for intruder lockout, daily usage statistics, and online log information for debugging purposes by navigating to <strong>Admin function&gt; select user &gt; Saviynt usage</strong>.</p>
            </li>
        </ul>
        <p> Who can have passwords in IGA?</p>
        <p>Passwords are created for the following:</p>
        <ul>
            <li>
                <p><strong>Users: </strong>All users that are onboarded to IGA are allocated passwords for login.</p>
            </li>
            <li>
                <p><strong>Accounts:</strong> A user’s access to an application is allotted via an account. For example, separate passwords will be allocated for applications that can be accessed by a user.</p>
            </li>
            <li>
                <p><strong>Service accounts:</strong> High privileged shared accounts that can be accessed by multiple users will be allocated a password.</p>
            </li>
        </ul>
        <h2 id="PasswordManagement-Setting-UpSaviyntPasswordManagement">Setting-Up Saviynt Password Management </h2>
        <p>As an admin, you must configure password management in your organization. This includes&#160;creating password policies, configuring verification methods and settings, and enrollment settings. You also specify which users the process applies to.&#160;The following checklist provides the high-level steps&#160;to guide you through this process:&#160;</p>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 48.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 293.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 619.0px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">S.NO</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">
                            <p class="table-text">Task</p>
                        </th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">
                            <p class="table-text">Configuration</p>
                        </th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">1</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Create password policies</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To enforce restrictions on the types of passwords that can be created by the users, use the existing password policies or create new policies.&#160;The password policy properties enable you to administrate password policies, blacklist passwords, and apply a password policy upon login. For example, you can configure Regex pattern, password history, blacklist dictionary, and other such properties in a password policy. To do this, go to&#160;<strong>Admin</strong>&#160;&gt;&#160;<strong>Identity Repository</strong>&#160;&gt;&#160;<strong>Password Policies</strong>. For more information, see&#160;Creating Password Policies.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">2</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Configure security questions</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">To authenticate a user through a series of questions and answers known only to the user, create Security questions and configure the validations while setting up the answers. To do this, go to&#160;<strong>Admin&#160;&gt;&#160;Identity Repository&#160;&gt;&#160;Password Policies&#160;&gt;&#160;Select&#160;any Password Policy &gt;&#160;Set Questionnaire</strong>.&#160;For more information, see <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Setting-Up-Questionnaire.htm#top">Setting-Up Questionnaire</MadCap:xref>.</td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">3</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Set an endpoint password policy</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Identify the security system associated with the endpoint from&#160;<strong>Admin&#160;&gt;&#160;Identity Repository&#160;&gt;&#160;Security System</strong>, then select&#160;the security system.</p>
                            <p class="table-text">Policy Rule: Select the password policy that applies to all the accounts associated with the endpoint.</p>
                            <p class="table-text">Policy Rule Service Account: Select the password policy that applies to all the service accounts associated with the endpoint.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">4</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Configure user password sync to endpoints</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">An administrator can configure to sync passwords between IGA and connected applications. Go to <strong>Global Configurations &gt; Tasks</strong>, configure the endpoints to sync your user passwords. Following options are available:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Endpoints to Sync passwords for Self</p>
                                </li>
                                <li>
                                    <p class="table-text">Endpoints to Sync passwords for Others</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">5</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Perform endpoint password sync from the Active Directory</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">You can sync passwords changes in IGA to endpoints or vice-a-versa. Reverse sync is only available for Active Directory. </p>
                            <p class="table-text" MadCap:conditions="Default.v2020X">For more information, see&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Microsoft-Active-Directory-Connector-Guide.htm" pubname="AD-v2020x" class="peer">Microsoft Active Directory Connector Guide</a></MadCap:conditionalText>.</p>
                            <p class="table-text" MadCap:conditions="Default.v2021X">For more information, see&#160;<MadCap:conditionalText MadCap:conditions="Default.Link"><a href="Microsoft-Active-Directory-Connector-Guide.htm" pubname="AD-v2021x" class="peer">Microsoft Active Directory Connector Guide</a></MadCap:conditionalText>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">6</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Configure what helpdesk personnel can view</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To configure what helpdesk personnel can view to assist users to change their passwords,navigate to&#160;<strong>Admin &gt; Password Policy&#160;&gt;&#160;Policy rules&#160;&gt;&#160;Helpdesk&#160;</strong>and perform the following:</p>
                            <ul>
                                <li>
                                    <p class="table-text">Set<strong>&#160;Primary Identification attributes of end-user&#160;</strong>from<strong>&#160;Password Policy&#160;&gt;&#160;Policy rules&#160;&gt;&#160;Helpdesk&#160;&gt;&#160;Primary attributes.</strong></p>
                                </li>
                                <li>
                                    <p class="table-text">Set<strong>&#160;Secondary identification attributes of the end-user&#160;</strong>from<strong>&#160;Password Policy&#160;&gt;&#160;Policy rules&#160;&gt;&#160;Helpdesk&#160;&gt;&#160;Secondary attributes.</strong></p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">7</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Configuration of email notifications</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">To notify users of their password changes by self, help desk, or an administrator. Perform the following:</p>
                            <ul>
                                <li>
                                    <p>For account password change notifications: Configure a task completion email for change password type of task at endpoint from&#160;<strong>Endpoint &gt; Add Email template &gt; Select Task type as 'Change password' &gt; Add the email template</strong>. For more information, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Creating and Managing Email Templates</MadCap:xref>.</p>
                                </li>
                                <li>
                                    <p>For user password change notifications: Configure the email template from&#160;<strong>Password Policy &gt; Select User Scope Password Policy &gt; Reset Password Notification</strong>. For more information, see&#160;<MadCap:xref href="../Chapter06-Configuring-EIC/Creating-and-Managing-Email-Templates.htm">Creating and Managing Email Templates</MadCap:xref>.</p>
                                </li>
                                <li>
                                    <p>For security question and answer changes notifications via email: Configure the email template from&#160;<strong>Password policy &gt; Set Questionnaire &gt; Security Questions &amp; Answers Email Template</strong>.</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">8</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Set up step-up authentication</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">An&#160;administrator&#160;can configure step-up authentication for the Password Management module. For more information, see&#160;<MadCap:xref href="Configuring-Step-up-Authentication-and-Verification.htm">Configuring Step-up Authentication and Verification</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">9</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Set up Single-Sign-On (SSO)</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">SSO enables users to securely authenticate to multiple web applications by logging in only once with just one set of login credentials. When SSO is enabled, the web application that the user is trying to access relies on a trusted third party to verify the identification of the users. SSO configuration files such as SP.xml, IDP.xml, and Keystore file(s), can be directly managed from the IGA UI.&#160;Using the&#160;<strong>Admin &gt; Configurations &gt; IDP Configuration</strong>, you can upload, download, and modify the IDP.xml and SP.xml files<span class="inline-comment-marker">.</span> For more information, see <MadCap:xref href="../Chapter06-Configuring-EIC/Configuring-SAML-Based-Single-Sign-On.htm">Configuring SAML-Based Single Sign-On</MadCap:xref>.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">10</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Configure user lockout retries and threshold</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Administrators can configure the frequency of incorrect responses that will lead to an account lockout for a defined duration. Include the following entries in the externalconfig.properties file:</p>
                            <ul>
                                <li>
                                    <p>user.lockout.count.threshold=&lt;number of times&gt;</p>
                                </li>
                                <li>
                                    <p>user.lockout.time.threshold=&lt;time in seconds till user will stay locked out&gt;</p>
                                </li>
                            </ul>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">11</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text"><strong>Configure the credential provider</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">If users must reset the password of their Windows workstations without your assistance, you can configure a Credential provider to work with password management. For more information, see&#160;Credential Provider.</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">12</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text"><strong>Configure local users to bypass the SSO or External Authentication</strong>
                            </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Saviynt allows the users to bypass the SSO or LDAP authentication and access the IGA environment. This feature is supported in the 6.0 SP1 release and above versions. For more information, see Using Saviynt to authenticate users in SSO/External Authentication scenarios.</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
        <h2 id="PasswordManagement-Relateddocuments:">Related documents:</h2>
        <p>
            <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Creating-Password-Policies.htm">Creating Password Policies</MadCap:xref>
        </p>
        <p>
            <MadCap:xref href="../Chapter08-Advanced-Administrator-Tasks/Credential-Provider.htm">Credential Provider</MadCap:xref>
        </p>
        <p>
            <MadCap:xref href="../Chapter07-General-Administrator-Tasks/Administrator-Functions.htm">Administrator Functions</MadCap:xref>
        </p>
        <p>
            <MadCap:xref href="../Chapter04-Onboarding-and-Managing-Applications/5.5.x/Setting-Up-Questionnaire.htm">Setting-Up Questionnaire</MadCap:xref>
        </p>
        <p>
            <MadCap:xref href="Changing-or-Resetting-Passwords.htm">Changing or Resetting Passwords</MadCap:xref>
        </p>
        <p>
            <MadCap:xref href="../Chapter09-Managing-SAV-Roles/Managing-SAV-Roles.htm">Managing SAV Roles</MadCap:xref>
        </p>
    </body>
</html>